org.codegist.crest.io.http
Class AuthorizationHttpChannelFactory
java.lang.Object
org.codegist.crest.io.http.AuthorizationHttpChannelFactory
- All Implemented Interfaces:
- HttpChannelFactory
public class AuthorizationHttpChannelFactory
- extends Object
- implements HttpChannelFactory
- Author:
- laurent.gilles@codegist.org
AuthorizationHttpChannelFactory
public AuthorizationHttpChannelFactory(HttpChannelFactory delegate,
Authorization authorization,
Map<String,EntityParamExtractor> entityParamExtrators)
- Parameters:
delegate - The HttpChannel to delegate the calls toauthorization - the authorization to use to authenticate based on the request parametersentityParamExtrators - the entity's parameter extractors to use to extract any relevant parameter to use for authenticate the request
open
public HttpChannel open(MethodType methodType,
String url,
Charset charset)
throws IOException
- Description copied from interface:
HttpChannelFactory
- Opens a new HTTP Channel
- Specified by:
open in interface HttpChannelFactory
- Parameters:
methodType - the HTTP method type of the HTTP channelurl - the URL to point the HTTP channel tocharset - the charset used to write to the HTTP channel
- Returns:
- a new HTTP Channel
- Throws:
IOException
Copyright © 2011. All Rights Reserved.